Altimax\Apidae\Core\Entity\SitraMultimedia:
    type: entity
    table: sitra_multimedia
    repositoryClass: Altimax\Apidae\Core\Repository\SitraMultimedia
    indexes:
        identifiant:
            columns:
                - identifiant
        lang_id:
            columns:
                - lang_id    
    uniqueConstraints:
        identifiant_langue_idx:
            columns: identifiant,lang_id         
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        identifiant:
            type: integer
            nullable: false
            unsigned: false
            comment: 'identifiant sitra du media'
            column: identifiant
        type:
            type: string
            nullable: false
            length: 255
            fixed: false
            comment: 'avant l''import=>passer la colone en varchar et après la repasser en ENUM'
        filename:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: "à traduire\npeut être égal à NULL dans Sitra, à vérifier"
        url:
            type: text
            nullable: true
            fixed: false
            comment: "Url vers le media\nà traduire"
        urlListe:
            type: text
            nullable: true
            fixed: false
            column: url_liste
            comment: "Url vers le media\nà traduire"
        urlFiche:
            type: text
            nullable: true
            fixed: false
            column: url_fiche
            comment: "Url vers le media\nà traduire"
        urlDiaporama:
            type: text
            nullable: true
            length: 255
            fixed: false
            column: url_diaporama
            comment: "Url vers le media\nà traduire"
        nom:
            type: text
            nullable: true
            fixed: false
            comment: 'à traduire'
        copyright:
            type: text
            nullable: true
            fixed: false
            comment: 'à traduire'
        legende:
            type: text
            nullable: true
            fixed: false
            comment: 'à traduire'
        observations:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: 'à traduire'
        lastModifiedDate:
            type: datetime
            nullable: true
            comment: 'à traduire'
            column: last_modified_date
        link:
            type: boolean
            nullable: true
            comment: 'à traduire'
        extension:
            type: string
            nullable: true
            length: 15
            fixed: false
            comment: 'à traduire'
        taille:
            type: float
            nullable: true
            precision: 10
            scale: 0
            comment: 'à traduire'
        hauteur:
            type: integer
            nullable: true
            unsigned: false
            comment: 'à traduire'
        largeur:
            type: integer
            nullable: true
            unsigned: false
            comment: 'à traduire'
        toDelete:
            type: boolean
            nullable: false
            comment: ''
            default: '0'
            column: to_delete
    manyToOne:
        lang:
            targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                lang_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    oneToMany:
        objetmedias:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjetMedia
            cascade: [ "persist", "remove" ]
            mappedBy: multimedia         
            orphanRemoval: true
    lifecycleCallbacks: {  }